CVE-2005-3408
CVSS7.5
发布时间 :2005-11-01 07:47:00
修订时间 :2011-03-07 21:26:29
NMCO    

[原文]SQL injection vulnerability in news.php in gCards version 1.43 allows remote attackers to execute arbitrary SQL commands via the limit parameter.


[CNNVD]Greg GCards News.PHP SQL注入漏洞(CNNVD-200511-004)

        gCards是一个免费的基于PHP的电子贺卡系统,易于安装和使用。
        gCards 1.43版的news.php中的SQL注入漏洞可让远程攻击者通过限制参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3408
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3408
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-004
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/22884
(UNKNOWN)  XF  gcards-news-sql-injection(22884)
http://www.vupen.com/english/advisories/2005/2223
(UNKNOWN)  VUPEN  ADV-2005-2223
http://www.securityfocus.com/bid/15216
(UNKNOWN)  BID  15216
http://www.osvdb.org/20329
(UNKNOWN)  OSVDB  20329
http://www.fr33d0m.net/content-1783.html
(VENDOR_ADVISORY)  MISC  http://www.fr33d0m.net/content-1783.html
http://securitytracker.com/id?1015106
(VENDOR_ADVISORY)  SECTRACK  1015106
http://secunia.com/advisories/17353
(VENDOR_ADVISORY)  SECUNIA  17353

- 漏洞信息

Greg GCards News.PHP SQL注入漏洞
高危 SQL注入
2005-11-01 00:00:00 2006-09-05 00:00:00
远程  
        gCards是一个免费的基于PHP的电子贺卡系统,易于安装和使用。
        gCards 1.43版的news.php中的SQL注入漏洞可让远程攻击者通过限制参数执行任意SQL命令。

- 公告与补丁

        暂无数据

- 漏洞信息

20329
gCards news.php limit Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

gCards contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'news.php' script not properly sanitizing user-supplied input to the 'limit' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-10-21 Unknow
2005-10-21 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站